Package org.eclipse.m2m.atl.emftvm.util

## Class ClassModuleResolver

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.ClassModuleResolver

All Implemented Interfaces:
  `ModuleResolver`

    public class ClassModuleResolver
    extends java.lang.Object
    implements ModuleResolver

`ModuleResolver` based on `Class.getResourceAsStream(String)`.

### Constructor Summary

Constructors
`ClassModuleResolver​(java.lang.Class<?> clazz)` Creates a new `ClassModuleResolver`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Module` `resolveModule​(java.lang.String module)` Resolves the module with the given

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassModuleResolver

    public ClassModuleResolver​(java.lang.Class<?> clazz)

Creates a new `ClassModuleResolver`.

Parameters:
  `clazz` - the `Class` to use for resource loading

### Method Detail

#### resolveModule

    public Module resolveModule​(java.lang.String module)
                         throws ModuleNotFoundException

Resolves the module with the given

    name

.

Specified by:
  `resolveModule` in interface `ModuleResolver`
Parameters:
  `module` - the module name
Returns:
  the module with the given name
Throws:
  `ModuleNotFoundException`